Subject: Re: bug#46545: frequent test failure: cyclic-function-indirection customize-changed

From: "Basil L. Contovounesios" <[email-masked]>
Date: Tue, 16 Feb 2021 00:26:35 +0000

Glenn Morris <[email-masked]> writes:

> Package: emacs
> Version: 28.0.50
>
> On hydra.nixos, check-for-wrong-custom-types often (but not always)
> fails with:
>
>   (cyclic-function-indirection customize-changed-options)
>
> The first instance seems to be https://hydra.nixos.org/build/136593430
> which presumably corresponds to 5beddcd325e8ec16a6f284ef0524fb796fe07d5e.
>
> I have no idea why it is intermittent, and seems to affect random
> variables each time.

I reliably and repeatedly get the same error locally if I run:

  src/emacs -batch -l admin/cus-test.el -f cus-test-opts all

  [...]

  Debugger entered--Lisp error: (cyclic-function-indirection customize-changed)
    where-is-internal(find-file nil t)
    substitute-command-keys(";; This buffer is for text that is not saved, and ...")
    command-line-1(("-l" "admin/cus-test.el" "-f" "cus-test-opts" "all"))
    command-line()
    normal-top-level()

Isn't this because of a stale defalias in lisp/ldefs-boot.el?

Thanks,

-- 
Basil